
<title>SE Code of Ethics</title>

<em> <b>Science and Engineering Ethics (2001) 7, 231-238</b></em>
<hr>
<head>
  <h1>Software Engineering Code of Ethics and Professional Practice</h1>
  <h4>IEES-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices </h4>
</head>
<hr> 
<body>
  <b>Keywords:</b> code ethics, proffesional responsibility, software engineering

  <h4>PREAMBLE</h4>

  <p>The short verison code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering profesionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details from a cohesive code.<br> <br> Software engineers shall commit themselves making the analysis, specification, design, development, testing, and maintenance of software a benificial and respected profession. IN accordiance with thair commitment to the heath, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

<h4> PRINCIPLES</h4>

<ol>
  <li> <em>Public.</em> Software engineers shall act consistently with the public interest.</li>
  <li> <em>Client and employer</em> Software engineer shall act in manner that is the best interests of their client and employer, consistent with the public interest. </li>
  <li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
  <li><em>Judgment.</em> Software engineers shall advance the integrity and independence in their proffesional judgment.</li>
  <li><em>Management.</em>Software engineering managers and leaders shall subscribe to and promote an ethical aprroach to the management of software development and maintinance.</li>
  <li><em>Profession.</em> Software engineers shall advance the integrity and reputation of theprofession consistent with the public interest</li>
  <li><em>Colleagies.</em> Software engineers shall be fair too and supportive of their colleagues.</li>
  <li><em>Self.</em> Software engineers shall be in lifelong learing regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
</ol>
</body>